Bug 230798 - Make byte codes with arithmetic profiles switch to using an index instead of a pointer in metadata
Summary: Make byte codes with arithmetic profiles switch to using an index instead of ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Saam Barati
URL:
Keywords: InRadar
Depends on: 230806
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-25 16:48 PDT by Saam Barati
Modified: 2021-09-28 08:33 PDT (History)
8 users (show)

See Also:


Attachments
WIP (23.30 KB, patch)
2021-09-25 17:16 PDT, Saam Barati
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
patch (26.09 KB, patch)
2021-09-25 21:43 PDT, Saam Barati
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (26.77 KB, patch)
2021-09-25 21:51 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
patch for landing (26.77 KB, patch)
2021-09-27 22:31 PDT, Saam Barati
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
[fast-cq] patch for landing (26.76 KB, patch)
2021-09-28 08:31 PDT, Saam Barati
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saam Barati 2021-09-25 16:48:04 PDT
...
Comment 1 Saam Barati 2021-09-25 17:16:09 PDT
Created attachment 439276 [details]
WIP
Comment 2 Saam Barati 2021-09-25 21:43:25 PDT
Created attachment 439284 [details]
patch
Comment 3 Saam Barati 2021-09-25 21:51:31 PDT
Created attachment 439285 [details]
Patch
Comment 4 Yusuke Suzuki 2021-09-25 22:00:18 PDT
Comment on attachment 439285 [details]
Patch

r=me
Comment 5 EWS 2021-09-26 10:23:24 PDT
Committed r283088 (242146@main): <https://commits.webkit.org/242146@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 439285 [details].
Comment 6 Radar WebKit Bug Importer 2021-09-26 10:24:17 PDT
<rdar://problem/83549499>
Comment 7 WebKit Commit Bot 2021-09-26 14:17:59 PDT
Re-opened since this is blocked by bug 230806
Comment 8 Saam Barati 2021-09-27 22:31:08 PDT
Created attachment 439433 [details]
patch for landing
Comment 9 EWS 2021-09-28 07:07:30 PDT
ChangeLog entry in Source/JavaScriptCore/ChangeLog contains OOPS!.
Comment 10 Saam Barati 2021-09-28 08:31:17 PDT
Created attachment 439477 [details]
[fast-cq] patch for landing
Comment 11 EWS 2021-09-28 08:33:02 PDT
Committed r283168 (242216@main): <https://commits.webkit.org/242216@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 439477 [details].